#
# spec file for package ghc-lackey
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name lackey
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.0.9
Release:        lp150.1.1
Summary:        Generate Ruby clients from Servant APIs
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-servant-devel
BuildRequires:  ghc-servant-foreign-devel
BuildRequires:  ghc-text-devel
%if %{with tests}
BuildRequires:  ghc-hspec-devel
%endif

%description
Lackey generates Ruby clients from Servant APIs.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE.markdown

%files devel -f %{name}-devel.files
%doc CHANGELOG.markdown README.markdown

%changelog
* Fri Mar  8 2019 psimons@suse.com
- Update lackey to version 1.0.9.
  Upstream has not updated the file "CHANGELOG.markdown" since the
  last release.
* Mon Jan 21 2019 psimons@suse.com
- Update lackey to version 1.0.8.
  Upstream has not updated the file "CHANGELOG.markdown" since the
  last release.
* Wed Dec 26 2018 psimons@suse.com
- Add lackey at version 1.0.7.
